Loading...
Searching...
No Matches
avio_list_dir.c File Reference
`#include <libavcodec/avcodec.h>`
`#include <libavformat/avformat.h>`
`#include <libavformat/avio.h>`

Go to the source code of this file.

## Functions

static const char * | type_string (int type)
static int | list_op (const char *input_dir)
static void | usage (const char *program_name)
int | main (int argc, char *argv[])

## Function Documentation

## type_string()

static const char * type_string | ( | int | type | ) |

static

Examples
  avio_list_dir.c.

Definition at line 34 of file avio_list_dir.c.

Referenced by list_op().

## list_op()

static int list_op | ( | const char * | input_dir | ) |

static

Examples
  avio_list_dir.c.

Definition at line 64 of file avio_list_dir.c.

Referenced by main().

## usage()

static void usage | ( | const char * | program_name | ) |

static

Examples
  avio_list_dir.c, and ffhash.c.

Definition at line 112 of file avio_list_dir.c.

Referenced by main().

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Examples
  avio_list_dir.c, avio_read_callback.c, decode_audio.c, decode_filter_audio.c, decode_filter_video.c, decode_video.c, demux_decode.c, encode_audio.c, encode_video.c, extract_mvs.c, ffhash.c, filter_audio.c, hw_decode.c, mux.c, qsv_decode.c, qsv_transcode.c, remux.c, resample_audio.c, scale_video.c, show_metadata.c, transcode.c, transcode_aac.c, vaapi_encode.c, and vaapi_transcode.c.

Definition at line 119 of file avio_list_dir.c.